Page MenuHomePhabricator

Flaky selenium tests block merging to Wikibase
Closed, ResolvedPublic

Description

Similar to what was reported at the past, I am getting various failures on Wikibase

https://integration.wikimedia.org/ci/job/quibble-vendor-mysql-php71-docker/15514/console

21:49:26 [chrome #0-14] 1) item can add a statement using the keyboard:
21:49:26 [chrome #0-14] Promise was rejected with the following reason: timeout
21:49:26 [chrome #0-14] Error: Promise was rejected with the following reason: timeout
21:49:26 [chrome #0-14]     at element(".wikibase-toolbar-button-save") - index.js:312:3

https://integration.wikimedia.org/ci/job/quibble-vendor-mysql-php72-docker/15546/console

21:51:43 1) Lexeme:Senses Removes Gloss:
21:51:43 element (".lemma-widget_edit") still not visible after 10000ms
21:51:43 running chrome
21:51:43 Error: element (".lemma-widget_edit") still not visible after 10000ms
21:51:43     at elements(".lemma-widget_edit") - isVisible.js:54:17
21:51:43     at isVisible(".lemma-widget_edit") - waitForVisible.js:73:22

https://integration.wikimedia.org/ci/job/quibble-vendor-mysql-php72-docker/15540/console

20:38:57 1) Lexeme:Forms can remove representation:
20:38:57 element (".lemma-widget_edit") still not visible after 10000ms
20:38:57 running chrome
20:38:57 Error: element (".lemma-widget_edit") still not visible after 10000ms
20:38:57     at elements(".lemma-widget_edit") - isVisible.js:54:17
20:38:57     at isVisible(".lemma-widget_edit") - waitForVisible.js:73:22

These do not appear on recheck, but if I try to submit, others appear.

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterDisable CirrusSearch in browser tests

Event Timeline

Smalyshev triaged this task as High priority.Aug 2 2019, 12:48 AM
Smalyshev created this task.
Krinkle added a subscriber: Krinkle.

Does not seem to affect other repositories, thus untagging from cross-repo tag for shared build failures.

Change 533956 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/Wikibase@master] Disable CirrusSearch in browser tests

https://gerrit.wikimedia.org/r/533956

Change 533956 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Disable CirrusSearch in browser tests

https://gerrit.wikimedia.org/r/533956

Ladsgroup claimed this task.Sep 3 2019, 4:23 PM

The patch should have fixed the issue hopefully. Feel free to bring it back if flaky tests keep happening

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptSep 3 2019, 4:24 PM
WMDE-leszek closed this task as Resolved.Sep 9 2019, 12:36 PM
WMDE-leszek added a subscriber: WMDE-leszek.

Closing as there is no browser test blocking Wikibase builds.